Protocol::Connection::FileHandle(3)

NAME
X11::Protocol::Connection::FileHandle - Perl module base class for FileHandle-based X11 connections

SYNOPSIS
  package X11::Protocol::Connection::WeirdFH;
  use X11::Protocol::Connection::FileHandle;
  @ISA = ('X11::Protocol::Connection::FileHandle')

DESCRIPTION
This module defines get(), give() and fh() methods common to X11::Protocol::Connection types that are based on the FileHandle package. They expect the object they are called with to be a reference to a FileHandle.

AUTHOR
Stephen McCamant <SMCCAM@cpan.org>.

SEE ALSO
perl(1), X11::Protocol, X11::Protocol::Connection::INETFH, X11::Protocol::Connection::UNIXFH, FileHandle.